	SUBROUTINE TERM(ID)
C----------------------standard common block----------------------------
C 
	COMMON ICR(8,12),IPARM(10),IS1,IS2,NT,ICU(10,10,10,2),CLEAR(8)
	COMMON MARKER(4,3,3)
	LOGICAL*1 ICU,CLEAR
C 
C-----------------------------------------------------------------------
C 
C	NOTE: THE CLEAR FUNCTION USED IN THIS PROGRAM WILL CLEAR
C	THE SCREEN FROM THE CURRENT CURSOR POSITION TO THE END
C	OF THE SCREEN AND LEAVE CURSOR POSITION UNCHANGED.
C 
C	OTHER CURSOR COMMANDS FOLLOW THE ESCAPE SEQUENCE  ESC,Y,r,c
C	WHERE r IS THE ROW AND c IS THE COLUMN, ("40,"40) BEING
C	THE POSITION (1,1).
C 
C------------------------------------------------------------------------
	CLEAR(ID)='k'    ! CLEAR FOR ADDS REGENT 100'S
	LUN=ICR(ID,8)
C	WRITE(5,80) ID,LUN
C80	FORMAT(' [ASSIGNING LUN',I2,' TO CRAWLER',I2,']')
1	WRITE(LUN,2)
2	FORMAT(///' What type of terminal are you using ?'/
     C'   A) ADDS Regent 100'/'   B) Digital VT100'/
     C'   C) Digital VT52 (decscope)'/
     C'   D) Hardcopy or Graphics'//' Enter A,B,C or D: ',$)
	READ(LUN,3,END=12) ANS
3	FORMAT(A1)
	IF(ANS.EQ.'A'.OR.ANS.EQ.'a') GOTO 10
	IF(ANS.EQ.'B'.OR.ANS.EQ.'b') GOTO 15
	IF(ANS.EQ.'C'.OR.ANS.EQ.'c') GOTO 20
	IF(ANS.NE.'D'.AND.ANS.NE.'d') GOTO 1
	WRITE(LUN,5)
5	FORMAT(' This game is designed only for the CRT terminals'/
     C' listed.  Results are unpredictable on other devices.')
10	RETURN
15	WRITE(ID,16) "33  ! SWITCH VT100 TO VT-52 COMPATIBLE MODE
16	FORMAT(X,A1,'[?2l'/'+      ')
20	CLEAR(ID)='J'    ! VT-52 COMPATIBLE
	GOTO 10
12	CALL CLOSE(5)
	GOTO 1
	END
